Last Comment Bug 752797 - Build ID absent from about: page
: Build ID absent from about: page
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.12
Assigned To: Edmund Wong (:ewong)
:
Mentors:
about:
Depends on: 588909
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 21:40 PDT by Tony Mechelynck [:tonymec]
Modified: 2012-05-31 22:59 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
unaffected
?
verified


Attachments
Add buildID to about: page. (v1) (2.32 KB, patch)
2012-05-25 23:21 PDT, Edmund Wong (:ewong)
neil: review+
Details | Diff | Splinter Review
Add buildID to about: page (v2) (2.24 KB, patch)
2012-05-26 07:02 PDT, Edmund Wong (:ewong)
ewong: review+
Details | Diff | Splinter Review
Add buildID to about: page (v2) (2.24 KB, patch)
2012-05-26 07:03 PDT, Edmund Wong (:ewong)
ewong: review+
Details | Diff | Splinter Review
screenshot showing successful fix (226.18 KB, image/png)
2012-05-26 22:41 PDT, Tony Mechelynck [:tonymec]
no flags Details
follow up patch to fix 'User agent' (668 bytes, patch)
2012-05-29 00:58 PDT, Edmund Wong (:ewong)
no flags Details | Diff | Splinter Review
follow up patch to fix 'User agent' (v2) (1.16 KB, patch)
2012-05-29 01:26 PDT, Edmund Wong (:ewong)
neil: review+
Details | Diff | Splinter Review

Description Tony Mechelynck [:tonymec] 2012-05-07 21:40:41 PDT
Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/15.0 Firefox/15.0a1 SeaMonkey/2.12a1 ID:20120507003035

Now that bug 588909 has landed, the build date is absent from the about: page (instead of Gecko/20120507 on the bottom line, I see Gecko/15.0). I suggest that the bottom line "Build ID: <user agent>" be replaced by two lines: "User Agent: <user agent>" and "Build ID: <build ID>" with the 14-digit build-ID YYYYMMDDhhmmss, e.g. today 20120507003035.

On SeaMonkey there is no separate About dialog (Help → About SeaMonkey opens the about: page, just as it did on Netscape) but IMHO Firefox and Thunderbird could benefit from this too.

I'm filing this against the General component because I can't figure where bugs for the (generic) about: page belong.

See also bug 588909 comment #128
Comment 1 Dão Gottwald [:dao] 2012-05-08 00:53:40 PDT
We definitely don't need this for Firefox; removing tracking flags.
Comment 2 Philip Chee 2012-05-08 03:25:21 PDT
Hey Tony SeaMonkey forked the about: page in bug 555939. Perhaps you could either move this to SeaMonkey or file another bug in SeaMonkey.
Comment 3 Tony Mechelynck [:tonymec] 2012-05-08 03:34:54 PDT
(In reply to Philip Chee from comment #2)
> Hey Tony SeaMonkey forked the about: page in bug 555939. Perhaps you could
> either move this to SeaMonkey or file another bug in SeaMonkey.

If it's "not wanted fot Firefox" (see comment #1) I suppose I'll have to.
Comment 4 rsx11m 2012-05-08 05:58:35 PDT
Yeah, Dão made clear in bug 589444 already that he doesn't want the Build ID anywhere, I didn't realize though that his opinion equals what Firefox wants.

Anyway, given that the page was forked already, look for suite/common/about.xhtml for a place to add the Build ID (either as another item in the list close to the UA string or more nicely formatted next to the version string in the upper part).
Comment 5 Robert Kaiser 2012-05-08 06:21:26 PDT
I think the toolkit about: page probably should have this as well as the forked SeaMonkey about: page - even though I fully agree with comment #1 in that Firefox doesn't *need* it (which doesn't mean that it wouldn't be good to be done in that general about: page as well).
Comment 6 Tony Mechelynck [:tonymec] 2012-05-08 06:47:17 PDT
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #5)
> I think the toolkit about: page probably should have this as well as the
> forked SeaMonkey about: page - even though I fully agree with comment #1 in
> that Firefox doesn't *need* it (which doesn't mean that it wouldn't be good
> to be done in that general about: page as well).

I agree in the abstract, though I don't much care about products other than SeaMonkey (I didn't know this page was forked). Maybe some Toolkit guy should open a parallel bug?
Comment 7 rsx11m 2012-05-08 06:54:09 PDT
The general question raised by Callek in bug 752333 comment #3 was if we should keep maintaining different forks of those about: pages (e.g, Thunderbird forked about:support already with some extensions that are of interest for SeaMonkey but meaningless in the Firefox context) or if Toolkit would be willing to add some "hooks" for other applications to add features they consider important without having to fork the entire page (the other example may be about:buildconfig which should have some comm-central link in addition to mozilla-central for applications building from there). On the other hand, it is clear that the UX expectations differ at least between Firefox and SeaMonkey, thus favoring separate forks.
Comment 8 Robert Kaiser 2012-05-08 07:44:22 PDT
Let's keep this bug to about: and adding the build ID there and not convolute it with the question if other pages should be forked or not. This page was forked because of the low profile and importance it has on Firefox in contrast to SeaMonkey and an alleged security risk that nobody really could explain in the light of other about:xxx pages being around that seem to not have that problem. Maybe the non-overridden default page has different constraints due to different code paths. Anyhow, it is forked and therefore not too hard to change for adding the build ID.

Centerum censeo that we should redesign this page some time, but that's subject to yet another bug.
Comment 9 Edmund Wong (:ewong) 2012-05-25 23:21:47 PDT
Created attachment 627445 [details] [diff] [review]
Add buildID to about: page. (v1)
Comment 10 neil@parkwaycc.co.uk 2012-05-26 05:47:41 PDT
Comment on attachment 627445 [details] [diff] [review]
Add buildID to about: page. (v1)

>+        //listItem.appendChild(document.createTextNode("&about.buildIdentifier;"));
Nit: remove comment before check in.

>+<!ENTITY about.userAgent            "User Agent: ">
Nit: lowercase a in "User Agent: " please.
Comment 11 Edmund Wong (:ewong) 2012-05-26 07:02:46 PDT
Created attachment 627481 [details] [diff] [review]
Add buildID to about: page (v2)
Comment 12 Edmund Wong (:ewong) 2012-05-26 07:03:33 PDT
Created attachment 627482 [details] [diff] [review]
Add buildID to about: page (v2)
Comment 13 Edmund Wong (:ewong) 2012-05-26 07:09:02 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/6f776bf05c33
Comment 14 Tony Mechelynck [:tonymec] 2012-05-26 22:41:02 PDT
Created attachment 627532 [details]
screenshot showing successful fix
Comment 15 Tony Mechelynck [:tonymec] 2012-05-26 22:46:07 PDT
Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/15.0 Firefox/15.0a1 SeaMonkey/2.12a1 ID:20120526213553

I VERIFY that the bug is fixed on this Linux64 hourly build, as shown by the screenshot in comment #14.
I assume that the fix is platform-agnostic. Feel free to REOPEN with specifics if you still see it in a SeaMonkey 2.12a1 build made *after* comment #13.
Comment 16 rsx11m 2012-05-27 07:56:27 PDT
(In reply to neil@parkwaycc.co.uk from comment #10)
> >+<!ENTITY about.userAgent            "User Agent: ">
> Nit: lowercase a in "User Agent: " please.

This landed with the capital 'A' rather than "User agent: " as requested.
Comment 17 neil@parkwaycc.co.uk 2012-05-27 09:15:11 PDT
(In reply to rsx11m from comment #16)
> (In reply to comment #10)
> > >+<!ENTITY about.userAgent            "User Agent: ">
> > Nit: lowercase a in "User Agent: " please.
> This landed with the capital 'A' rather than "User agent: " as requested.
Possibly because my comment was confusing; I should have said '"User agent: " (lower case a) please' (showing the corrected spelling).
Comment 18 Tony Mechelynck [:tonymec] 2012-05-28 15:13:17 PDT
(In reply to rsx11m from comment #16)
> (In reply to neil@parkwaycc.co.uk from comment #10)
> > >+<!ENTITY about.userAgent            "User Agent: ">
> > Nit: lowercase a in "User Agent: " please.
> 
> This landed with the capital 'A' rather than "User agent: " as requested.

In my quality as reporter, I'm happy with either. You may want to land an incremental patch, or even open an additional bug of "trivial" severity (cosmetic problem, misspelling, etc.)
Comment 19 rsx11m 2012-05-28 20:11:32 PDT
I'm sure ewong can push a quick follow-up patch for this, given that the original patch already received an r+ with the case change (i.e., no need for a new bug).
Comment 20 Edmund Wong (:ewong) 2012-05-29 00:58:44 PDT
Created attachment 627868 [details] [diff] [review]
follow up patch to fix 'User agent'
Comment 21 neil@parkwaycc.co.uk 2012-05-29 01:25:29 PDT
Comment on attachment 627868 [details] [diff] [review]
follow up patch to fix 'User agent'

Need to change line 108 of about.xhtml too?
Comment 22 Edmund Wong (:ewong) 2012-05-29 01:26:34 PDT
Created attachment 627878 [details] [diff] [review]
follow up patch to fix 'User agent' (v2)
Comment 23 Edmund Wong (:ewong) 2012-05-29 02:47:14 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/c94f0c7434e4
Comment 24 Tony Mechelynck [:tonymec] 2012-05-31 22:56:38 PDT
VERIFIED with lowercase a in "User agent".
Comment 25 Tony Mechelynck [:tonymec] 2012-05-31 22:59:05 PDT
P.S. “Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/15.0 Firefox/15.0a1 SeaMonkey/2.12a1” ID:20120531003003

Note You need to log in before you can comment on or make changes to this bug.